%global gitcommit 516144c6a05a149d888ec4b983f3f5ba76acded6
%global gitcommitshort %(gitcommit=%{gitcommit};echo ${gitcommit:1:8})

Name:           dkms-anbox
Version:        0.0.1
Release:        %mkrel 2
Summary:        Anbox kernel modules for running an Android runtime such as Waydroid
License:        GPLv3
Group:          System/Kernel and hardware
URL:            https://github.com/choff/anbox-modules
Source:         https://github.com/choff/anbox-modules/archive/%{gitcommit}/anbox-modules-%{gitcommitshort}.tar.gz
BuildArch:      noarch
Requires:       dkms
Provides:       anbox-kmp = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains out-of-tree versions of Android-specific kernel drivers.

They are required for running an Android run-time via Anbox or Wayroid on
kernels compiled without CONFIG_ASHMEM and CONFIG_ANDROID_BINDERFS.

See also https://bugs.mageia.org/show_bug.cgi?id=29611

%prep
%setup -q -n anbox-modules-%{gitcommit}

%build
# nothing to build

%install
# kmods
install -d %{buildroot}/%{_prefix}/src
for d in ashmem binder ; do
    cp -r $d %{buildroot}/%{_prefix}/src/anbox-$d-%{version}-%{release}
done

%post
if [ -z "$(dkms status -m anbox-ashmem -v %{version}-%{release})" ]; then
    dkms add -m anbox-ashmem -v %{version}-%{release} --rpm_safe_upgrade
fi
dkms build -m anbox-ashmem -v %{version}-%{release}
dkms install -m anbox-ashmem -v %{version}-%{release}
if [ -z "$(dkms status -m anbox-binder -v %{version}-%{release})" ]; then
    dkms add -m anbox-binder -v %{version}-%{release} --rpm_safe_upgrade
fi
dkms build -m anbox-binder -v %{version}-%{release}
dkms install -m anbox-binder -v %{version}-%{release}

%preun
dkms remove -m anbox-ashmem -v %{version}-%{release} --rpm_safe_upgrade --all ||:
dkms remove -m anbox-binder -v %{version}-%{release} --rpm_safe_upgrade --all ||:

%files
%defattr(-,root,root)
%{_prefix}/src/anbox-ashmem-%{version}-%{release}
%{_prefix}/src/anbox-binder-%{version}-%{release}


%changelog
* Sun Nov 14 2021 buchan <buchan> 0.0.1-2.mga8
+ Revision: 1756421
+ rebuild (emptylog)

* Sun Nov 14 2021 buchan <buchan> 0.0.1-2.mga9
+ Revision: 1756417
+ rebuild (emptylog)

* Sat Nov 06 2021 buchan <buchan> 0.0.1-1.mga9
+ Revision: 1754202
- imported package dkms-anbox

